Thanks a lot Vladimir! Rated 5 out of 5 stars

After changing the version number manually it works again on FF17.
Althrough TMP isnt compatible with FF17 yet, i want to thank the developers for this addon! I´m using it for years!

This review is for a previous version of the add-on (0.4.0.3.1-signed).